<div id="criteria">
    <form [formGroup]="criteriaGroup">
      <div class="p-fluid p-grid">
        <div class="p-field p-col-12 p-md-3">
          <span class="p-float-label">
            <input id="title" 
            pInputText 
            type="text"
            [(ngModel)]="criteria.title" 
            formControlName="title" 
            appendTo="body"/>
            <label for="title">
              {{ "BOOK_MENU.BOOK_SEARCH.CRITERIA.TITLE" | translate }}
            </label>
          </span>
        </div>
        <div class="p-field p-col-12 p-md-3">
          <span class="p-float-label">
            <input id="name" 
            pInputText 
            type="text"
            [(ngModel)]="criteria.name" 
            formControlName="name" 
            appendTo="body"/>
            <label for="name">
              {{ "BOOK_MENU.BOOK_SEARCH.CRITERIA.NAME" | translate }}
            </label>
          </span>
        </div>
        <div class="p-field p-col-12 p-md-3">
          <span class="p-float-label">
            <input id="lastName" 
            pInputText 
            type="text"
            [(ngModel)]="criteria.lastName" 
            formControlName="lastName" 
            appendTo="body"/>
            <label for="lastName">
              {{ "BOOK_MENU.BOOK_SEARCH.CRITERIA.LASTNAME" | translate }}
            </label>
          </span>
        </div>
        <div class="p-field p-col-12 p-md-3">
          <span class="p-float-label">
            <p-dropdown
              id="bookCategory"
              [options]="bookCategory"
              formControlName="bookCategory"
              [(ngModel)]="criteria.bookCategory" 
              appendTo="body"
              [autoDisplayFirst]="false"
              [showClear]="true"
            ></p-dropdown>
            <label for="bookCategory">
              {{
                "BOOK_MENU.BOOK_SEARCH.CRITERIA.BOOK_CATEGORY" | translate
              }}
            </label>
          </span>
        <div class="p-field p-col-12 p-md-3">
          <span class="p-float-label">
            <p-dropdown
              id="isAvailable"
              [options]="canceledOptions"
              formControlName="isAvailable"
              [(ngModel)]="criteria.isAvailable" 
              appendTo="body"
              [autoDisplayFirst]="false"
              [showClear]="true"
            ></p-dropdown>
            <label for="isAvailable">
              {{ "BOOK_MENU.BOOK_SEARCH.CRITERIA.IS_AVAILABLE" | translate }}
            </label>
          </span>
        </div>
      </div>
      <div>
        <div class="p-d-flex">
          <div class="p-mr-3">
            <button pButton
                    [label]="('BOOK_MENU.BOOK_SEARCH.CRITERIA.SEARCH' | translate) || true"
                    [pTooltip]="'BOOK_MENU.BOOK_SEARCH.CRITERIA.SEARCH_TOOLTIP' | translate"
                    tooltipPosition="top"
                    (click)="submitCriteria()"
                    icon="pi pi-search">
            </button>
          </div>
          <div class="p-mr-3">
            <button pButton
                    [label]="('BOOK_MENU.BOOK_SEARCH.CRITERIA.RESET' | translate) || true"
                    [pTooltip]="'BOOK_MENU.BOOK_SEARCH.CRITERIA.RESET_TOOLTIP' | translate"
                    tooltipPosition="top"
                    (click)="resetFormGroup()"
                    icon="pi pi-times">
            </button>
          </div>
        </div>
      </div>
  </div>
  